<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_eea266d1da508f42deea49cc3ad" . "d68ec" => base64_decode("UF" . "VU"), "_14feb730" . "99827a30c" . "31c0b996c" . "13f13c" => base64_decode("b25LZXJuZWxSZXF1ZX" . "N0"), "_8ec8f26c742278f9" . "0615f50d682eea79" => base64_decode("UE9TV" . "A=="), "_ab8b6a5b56b4cfd73230" . "ed5cad4fb54c" => base64_decode("Y29yZS5ib290" . "ZWQ="), "_db7b295629faa16027a2c2630" . "95eba70" => base64_decode("cGhwX3Nhc" . "GlfbmFtZQ" . "=="), "_781e2532c1e5" . "6969c535c1184" . "064bae6" => base64_decode("b25Db3J" . "lQm9vdA" . "=="), "_87daa84e346f6420a3f3426e05d16a" . "7b" => base64_decode("Lw=" . "="), "_e6d18c493faa20d5d45c" . "0751d2c02ce6" => base64_decode("TG9jYXRp" . "b246IA=="), "_8fec21706bd243b37ecf62b1caf" . "8fb8a" => base64_decode("Y" . "2" . "x" . "p"), "_e06da3ffba2e84b8e" . "6f94bd2d6ca3c52" => base64_decode("Y3JlYXRl" . "X2ludGVy" . "bmFsX2xp" . "bms="), "_fad3a97fa7919b1999c9" . "77c8bdad925a" => base64_decode("c3ltZm9ueV9yZX" . "F1ZXN0"), "_bd8510ebf29b0f687c25c90c7" . "40715d8" => base64_decode("aHR0cF9yZXNwb25zZV" . "9jb2Rl"), "_2b2486424e" . "6dfb906c925" . "739c329be7c" => base64_decode("aGVh" . "ZGVy"), "_c91b0ff19f81a8873a" . "4593a23719472c" => base64_decode("cnRyaW0" . "="), "_4d707fab93b" . "ebb00bbe69e8" . "159697c90" => base64_decode(""));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_c91b0ff1" . "9f81a8873" . "a4593a237" . "19472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_87daa84e346f6420a3f3426" . "e05d16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_14feb73099827a30c31c0b9" . "96c13f13c"], 1536), $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_ab8b6a5b56b4cfd73230ed5cad4fb" . "54c"] => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_781e2532c1e569" . "69c535c1184064b" . "ae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4d707fab93bebb" . "00bbe69e8159697" . "c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8ec8f26c7" . "42278f9061" . "5f50d682ee" . "a79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_eea266d1da508f42dee" . "a49cc3add68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_db7b295629faa1" . "6027a2c263095eb" . "a70"]() === $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_8fec21706bd243b37ecf62b1caf" . "8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_fad3a97fa7919b" . "1999c977c8bdad9" . "25a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e06da3ffba2e84b8e6f94bd2d6ca3c" . "52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4d707fab93bebb00bbe69e815969" . "7c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bd8510eb" . "f29b0f687" . "c25c90c74" . "0715d8"](301);
            $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2b2486424e6dfb" . "906c925739c329b" . "e7c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e6d18c493faa20d5" . "d45c0751d2c02ce6"] . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_e06da3ffba2e84b8e6" . "f94bd2d6ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}